[arch-commits] Commit in haskell-mmark/repos (2 files)
Felix Yan
felixonmars at gemini.archlinux.org
Mon Dec 13 15:04:56 UTC 2021
Date: Monday, December 13, 2021 @ 15:04:55
Author: felixonmars
Revision: 1071815
archrelease: copy trunk to community-staging-x86_64
Added:
haskell-mmark/repos/community-staging-x86_64/
haskell-mmark/repos/community-staging-x86_64/PKGBUILD
(from rev 1071814, haskell-mmark/trunk/PKGBUILD)
----------+
PKGBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
Copied: haskell-mmark/repos/community-staging-x86_64/PKGBUILD (from rev 1071814, haskell-mmark/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2021-12-13 15:04:55 UTC (rev 1071815)
@@ -0,0 +1,49 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+_hkgname=mmark
+pkgname=haskell-mmark
+pkgver=0.0.7.3
+pkgrel=59
+pkgdesc="Strict markdown processor for writers"
+url="https://github.com/mmark-md/mmark"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-case-insensitive' 'haskell-dlist'
+ 'haskell-email-validate' 'haskell-foldl' 'haskell-hashable' 'haskell-html-entity-map'
+ 'haskell-lucid' 'haskell-megaparsec' 'haskell-microlens' 'haskell-microlens-th'
+ 'haskell-modern-uri' 'haskell-parser-combinators' 'haskell-text-metrics'
+ 'haskell-unordered-containers' 'haskell-yaml')
+makedepends=('ghc' 'haskell-quickcheck' 'haskell-hspec' 'haskell-hspec-megaparsec')
+source=("https://hackage.haskell.org/packages/archive/$_hkgname/$pkgver/$_hkgname-$pkgver.tar.gz")
+sha256sums=('1a8c8bd99598204b81967b94cd831bac44353ec9a8750f62c74a868aa14cd4bd')
+
+build() {
+ cd $_hkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm \
+ --ghc-option=-optl-Wl\,-z\,relro\,-z\,now \
+ --ghc-option='-pie'
+
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $_hkgname-$pkgver
+ runhaskell Setup test --show-details=direct || echo "Tests failed with new hashable"
+}
+
+package() {
+ cd $_hkgname-$pkgver
+
+ install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+ install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+ runhaskell Setup copy --destdir="$pkgdir"
+ install -D -m644 LICENSE.md -t "$pkgdir"/usr/share/licenses/$pkgname/
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE.md
+}
More information about the arch-commits
mailing list